QuestItemFu = AceLibrary("AceAddon-2.0"):new("FuBarPlugin-2.0")
local QuestItemFu, self = QuestItemFu, QuestItemFu

QuestItemFu.hasIcon = true
QuestItemFu.cannotDetachTooltip = true
QuestItemFu.defaultPosition = "RIGHT"

local L = AceLibrary("AceLocale-2.2"):new("FuBar_QuestItemFu")
local _G = _G
local select = select
local string_format = string.format

local Tablet = AceLibrary("Tablet-2.0")

function QuestItemFu:OnUpdateFuBarText()
	self:SetFuBarText(L["Quest Item"])
end

function QuestItemFu:OnTooltipUpdate()
	Tablet:SetHint(L["Click to open Quest Item Bag"])
end

function QuestItemFu:OnClick()
	if QuestItem then
		QuestItem:DisplayQuestBag()
	else
		Tablet:SetHint(L["Unable to find Quest Item Addon loaded"])
	end
end

